Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.sramp
Class SrampLexicon

    java.lang.Object
      org.modeshape.sequencer.sramp.SrampLexicon

    @Immutable
    public class SrampLexicon

extends Object

A lexicon of S-RAMP names used within the XSD sequencer.

Nested Class Summary
`static class` | `SrampLexicon.Namespace`

Field Summary
`static Name` | `BASE_ARTIFACT_TYPE`
`static Name` | `CLASSIFIED_BY`
`static Name` | `CONTENT_ENCODING`
`static Name` | `CONTENT_SIZE`
`static Name` | `CONTENT_TYPE`
`static Name` | `DERIVED_ARTIFACT_TYPE`
`static Name` | `DESCRIPTION`
`static Name` | `DOCUMENT`
`static Name` | `DOCUMENT_ARTIFACT_TYPE`
`static Name` | `PROPERTY_LIST`
`static Name` | `RELATED_DOCUMENTS`
`static Name` | `RELATED_TO`
`static Name` | `STORED_QUERY`
`static Name` | `USER_DEFINED_ARTIFACT_TYPE`
`static Name` | `USER_TYPE`
`static Name` | `XML_DOCUMENT`

Constructor Summary
`SrampLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE_ARTIFACT_TYPE

    public static final Name BASE_ARTIFACT_TYPE

### CLASSIFIED_BY

    public static final Name CLASSIFIED_BY

### DESCRIPTION

    public static final Name DESCRIPTION

### DOCUMENT_ARTIFACT_TYPE

    public static final Name DOCUMENT_ARTIFACT_TYPE

### CONTENT_TYPE

    public static final Name CONTENT_TYPE

### CONTENT_SIZE

    public static final Name CONTENT_SIZE

### XML_DOCUMENT

    public static final Name XML_DOCUMENT

### CONTENT_ENCODING

    public static final Name CONTENT_ENCODING

### DOCUMENT

    public static final Name DOCUMENT

### DERIVED_ARTIFACT_TYPE

    public static final Name DERIVED_ARTIFACT_TYPE

### RELATED_DOCUMENTS

    public static final Name RELATED_DOCUMENTS

### USER_DEFINED_ARTIFACT_TYPE

    public static final Name USER_DEFINED_ARTIFACT_TYPE

### USER_TYPE

    public static final Name USER_TYPE

### STORED_QUERY

    public static final Name STORED_QUERY

### PROPERTY_LIST

    public static final Name PROPERTY_LIST

### RELATED_TO

    public static final Name RELATED_TO

Constructor Detail

### SrampLexicon

    public SrampLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.